import { BaseItemSheetL5r5e } from "./base-item-sheet.js";

/**
 * Sheet for Technique École items (Chiaroscuro).
 * @extends {BaseItemSheetL5r5e}
 */
export class TechniqueEcoleSheetL5r5e extends BaseItemSheetL5r5e {
    /** @override */
    static get defaultOptions() {
        return foundry.utils.mergeObject(super.defaultOptions, {
            classes: ["l5r5e", "sheet", "technique-ecole"],
            template: CONFIG.l5r5e.paths.templates + "items/technique_ecole/technique-ecole-sheet.html",
            width: 500,
            height: 380,
        });
    }

    /** @override */
    async getData(options = {}) {
        const sheetData = await super.getData(options);

        sheetData.data.enrichedHtml = {
            description: await foundry.applications.ux.TextEditor.implementation.enrichHTML(
                sheetData.data.system.description ?? "",
                { async: true }
            ),
        };

        return sheetData;
    }
}
